> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a document for e-signing via Firma



## OpenAPI

````yaml /openapi.json post /api/v1/documents/create
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers:
  - url: https://api.hevn.finance
    description: Production
security: []
paths:
  /api/v1/documents/create:
    post:
      tags:
        - documents
      summary: Create a document for e-signing via Firma
      operationId: create_signing_document_api_v1_documents_create_post
      parameters:
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FirmaCreateDocumentRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FirmaCreateDocumentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FirmaCreateDocumentRequest:
      properties:
        documentType:
          $ref: '#/components/schemas/CorpDocumentType'
        signer:
          $ref: '#/components/schemas/FirmaSignerInfo'
        recipient:
          $ref: '#/components/schemas/FirmaSignerInfo'
        contractorAgreement:
          anyOf:
            - $ref: '#/components/schemas/ContractorAgreementData'
            - type: 'null'
      type: object
      required:
        - documentType
        - signer
        - recipient
      title: FirmaCreateDocumentRequest
      description: Request to create a document for signing via Firma.
    FirmaCreateDocumentResponse:
      properties:
        id:
          type: string
          title: Id
        firmaId:
          type: string
          title: Firmaid
        documentType:
          type: string
          title: Documenttype
        status:
          type: string
          title: Status
        signerEmail:
          type: string
          title: Signeremail
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        signingUrls:
          items:
            $ref: '#/components/schemas/FirmaSigningUrlInfo'
          type: array
          title: Signingurls
          default: []
      type: object
      required:
        - id
        - firmaId
        - documentType
        - status
        - signerEmail
      title: FirmaCreateDocumentResponse
      description: Response after creating and sending a signing request.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CorpDocumentType:
      type: string
      enum:
        - contractor_agreement
      title: CorpDocumentType
      description: Supported document types for e-signing.
    FirmaSignerInfo:
      properties:
        firstName:
          type: string
          title: Firstname
        lastName:
          type: string
          title: Lastname
        email:
          type: string
          title: Email
      type: object
      required:
        - firstName
        - lastName
        - email
      title: FirmaSignerInfo
      description: Signer information for a signing request.
    ContractorAgreementData:
      properties:
        contractorName:
          type: string
          title: Contractorname
        contractorAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Contractoraddress
        contractorEmail:
          type: string
          title: Contractoremail
        contractorCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Contractorcountry
        taxId:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxid
        effectiveDate:
          type: string
          title: Effectivedate
        sowEffectiveDate:
          type: string
          title: Soweffectivedate
        contractType:
          type: string
          title: Contracttype
          default: Fixed rate
        startDate:
          type: string
          title: Startdate
        jobTitle:
          type: string
          title: Jobtitle
        scopeDescription:
          type: string
          title: Scopedescription
        paymentCurrency:
          type: string
          title: Paymentcurrency
          default: USD - US Dollar
        paymentRate:
          type: string
          title: Paymentrate
        firstPaymentDate:
          type: string
          title: Firstpaymentdate
        firstPaymentAmount:
          type: string
          title: Firstpaymentamount
          default: Full amount
        invoiceCycle:
          type: string
          title: Invoicecycle
          default: Monthly, ends the last day of the month
        paymentDue:
          type: string
          title: Paymentdue
          default: Same day
      type: object
      required:
        - contractorName
        - contractorEmail
        - effectiveDate
        - sowEffectiveDate
        - startDate
        - jobTitle
        - scopeDescription
        - paymentRate
        - firstPaymentDate
      title: ContractorAgreementData
      description: Data for filling Contractor Agreement template.
    FirmaSigningUrlInfo:
      properties:
        email:
          type: string
          title: Email
        signingUrl:
          type: string
          title: Signingurl
      type: object
      required:
        - email
        - signingUrl
      title: FirmaSigningUrlInfo
      description: Signing URL for embedding in iframe.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      x-default: Bearer <token>

````